# thread Struct Reference

`#include <thread.h>`

## Data Fields

u_int32_t | o_files [64]
int | td_retval [2]
char * | vm_daddr
int32_t | vm_dsize

## Detailed Description

Definition at line 37 of file thread.h.

## Field Documentation

u_int32_t thread::o_files[64]

Definition at line 39 of file thread.h.

Referenced by close(), falloc(), fcntl(), fstat(), getfd(), and schedNewTask().

int thread::td_retval[2]

Definition at line 38 of file thread.h.

Referenced by __sysctl(), close(), fcntl(), getdtablesize(), getgid(), getpid(), getuid(), ioctl(), mmap(), pipe(), read(), readlink(), sys_open(), sys_write(), and syscall().

char* thread::vm_daddr

Definition at line 40 of file thread.h.

Referenced by execFile(), obreak(), sys_exec(), sysExec(), vmm_pageFault(), and vmmGetFreeVirtualPage().

int32_t thread::vm_dsize

Definition at line 41 of file thread.h.

Referenced by obreak(), sys_exec(), sysExec(), vmm_pageFault(), and vmmGetFreeVirtualPage().

The documentation for this struct was generated from the following file:

- src/sys/include/sys/thread.h